function estim=BayesLR_Estimates(theta,V,alp,bet,prop)
%  NIG estimates, uncertainties and credible intervals
if nargin()<5; prop=0.95; end;
scth=sqrt(diag(V*bet/alp));
uth=scth*sqrt(alp/(alp-1));
tf=tinv(0.5+prop/2,2*alp);
invgamma=@(x,a,b)(gampdf(1./x,a,1/b)./(x.^2));
IG_sample=1./gamrnd(alp,1/bet,1e7,1);
sig_est=quadgk(@(sg)(2*sg.*sg.*invgamma(sg.^2,alp,bet)),0,inf);
sig_u=sqrt(quadgk(@(sg)(2*((sg-sig_est).^2).*sg.*invgamma(sg.^2,alp,bet)),0,inf));
sig_CI=quantile(sqrt(IG_sample),[0.5-prop/2,0.5+prop/2]);
sig2_est=bet/(alp-1);
sig2_u=sqrt(quadgk(@(sg)(((sg-sig2_est).^2).*invgamma(sg,alp,bet)),0,inf));
sig2_CI=quantile(IG_sample,[0.5-prop/2,0.5+prop/2]);
estim=[theta,uth,theta-tf*scth,theta+tf*scth; sig_est, sig_u,sig_CI; sig2_est, sig2_u,sig2_CI];
end
% -------------------------------------------------------------------------
% No warranty or guarantee applies to this software, and therefore any 
% users should satisfy themselves that it meets their requirements.
% -------------------------------------------------------------------------

