function [theta,V,alp,bet] = BayesLR_NIG_Posterior(theta0,V0,alp0,bet0,data,exponents,scale)
% Bayesian conjugate analysis of normal linear model Y=X*theta+e
[X,Scal]=BayesLR_Designmatrix(data(:,1),exponents,scale);
iScal=diag(1./diag(Scal));
y=data(:,2);
ID=eye(numel(X(1,:)));
XTX=X.'*X;
V0i=(iScal*V0*iScal)\ID;
theta0=iScal*theta0;
V=(V0i+XTX)\ID;
theta=V*(V0i*theta0+X.'*y);
alp=alp0+numel(y)/2;
bet=bet0+(theta0.'*V0i*theta0+y.'*y-theta.'*(V0i+XTX)*theta)/2;
theta=Scal*theta;
V=Scal*V*Scal;
end
% -------------------------------------------------------------------------
% No warranty or guarantee applies to this software, and therefore any 
% users should satisfy themselves that it meets their requirements.
% -------------------------------------------------------------------------

