function [theta,V,alp,bet] = BayesLR_Noninf_Posterior(data,exponents,scale)
% Bayesian analysis of normal linear model Y=X*theta using noninformative 1/sig^2 prior
[X,Scal]=BayesLR_Designmatrix(data(:,1),exponents,scale);
y=data(:,2);
np=numel(X(1,:));
ID=eye(np);
XTX=X.'*X;
theta=X\y;
nu=numel(y)-np;
sig2=(y-X*theta).'*(y-X*theta)/nu;
V=XTX\ID;
alp=nu/2;
bet=alp*sig2;
theta=Scal*theta;
V=Scal*V*Scal;
end
% -------------------------------------------------------------------------
% No warranty or guarantee applies to this software, and therefore any 
% users should satisfy themselves that it meets their requirements.
% -------------------------------------------------------------------------
