function xranges=BayesLR_PlotDensity(theta,V,alp,bet,cl,NIG_priors)
if nargin()<5; cl='k'; end;
if cl(1)=='k';
    pos=get(gcf,'position');
    set(gcf,'position',pos+[0,0,600*(pos(3)<1000),0]);
end
np=numel(theta);
xranges=zeros(np,2);
for k=1:np
    subplot(1,np+1,k); if cl~='k'; hold on; end
    sx=sqrt(V(k,k)*bet/alp); xx=linspace(theta(k)-4*sx,theta(k)+4*sx,500).';
    plot(xx,tpdf((xx-theta(k))/sx,2*alp)/sx,['-',cl(1)]);  axis tight;
    xlabel(['\theta_',num2str(k)]); ylabel('density');
    xranges(k,:)=xlim();
end
subplot(1,np+1,np+1); if cl~='k'; hold on; end
sig=linspace(0,4*sqrt(bet/(alp+1)),500);
invgamma=@(x,a,b)(gampdf(1./x,a,1/b)./(x.^2));
plot(sig,2*sig.*invgamma(sig.^2,alp,bet),['-',cl(1)]);  axis tight;
xlabel('\sigma'); ylabel('density');
cols='mbgyrc';
hold off;

if nargin==6  % add plot of averaged NIG density
    NN=numel(NIG_priors{1});
    for k=1:np
        subplot(1,np+1,k); hold on;
        xx=linspace(min(xlim()),max(xlim()),500); yy=xx*0; 
        for n=1:NN
            sx=sqrt(NIG_priors{4}(n,k,k)*NIG_priors{2}(n)/NIG_priors{1}(n));
            yy=yy+tpdf((xx-NIG_priors{3}(n,k))/sx,2*NIG_priors{1}(n))/(sx*NN);
            plot(NIG_priors{3}(n,k),0,['o',cols(n)]);
        end
        plot(xx,yy,['-',cl(2)]);  axis tight; ylim(max(ylim())*[-0.02,1.05]);
    end
    hold off;
    subplot(1,np+1,np+1); hold on;
    sig=linspace(min(xlim()),max(xlim()),500); psig=sig*0;
    psig_est=zeros(NN,1);
    for n=1:NN
        psig=psig+2*sig.*invgamma(sig.^2,NIG_priors{1}(n),NIG_priors{2}(n))/NN;
        psig_est(n)=quadgk(@(sg)(2*sg.*sg.*invgamma(sg.^2,NIG_priors{1}(n),NIG_priors{2}(n))),0,inf);
    end
    plot(sig,psig,['-',cl(2)]);  axis tight; ylim(max(ylim())*[-0.02,1.05]);  
    for n=1:NN; plot(psig_est(n),0,['o',cols(n)]); end
end
end
% -------------------------------------------------------------------------
% No warranty or guarantee applies to this software, and therefore any 
% users should satisfy themselves that it meets their requirements.
% -------------------------------------------------------------------------


