function [theta0,V0,alp0,bet0,NIG_priors] = BayesLR_Prior(data,exponents,scale,prop)
% Determine NIG prior from previus measurement data
npar=numel(exponents);
prior_series=unique(data(:,3)); nprior=numel(prior_series);
mi=zeros(nprior,npar);
Si=zeros(nprior,npar,npar);
ai=zeros(nprior,1);
bi=zeros(nprior,1);
for k=1:nprior
    ind=data(:,3)==prior_series(k); 
    [mi(k,:),Si(k,:,:),ai(k),bi(k)] = BayesLR_Noninf_Posterior(data(ind,:),exponents,scale);
end
NIG_priors={ai,bi,mi,Si};

mu_IG=mean(bi./(ai-1));
s_IG2=mean((bi.^2)./(((ai-1).^2).*(ai-2)))+mean((bi./(ai-1)-mu_IG).^2);
mu_t=mean(mi).';
hlp=zeros(npar);
for k=1:nprior; hlp=hlp+bi(k)*squeeze(Si(k,:,:))/(ai(k)-1)+(mi(k,:)'-mu_t)*(mi(k,:)'-mu_t)'; end
S_t=hlp/nprior;

alp0=2+(mu_IG^2)/s_IG2;
bet0=(alp0-1)*mu_IG;
theta0=mu_t;
V0=(alp0-1)*S_t/bet0;
% plot prior data and model for NIG prior
cols='mbgyrc';
X=BayesLR_Designmatrix(data(:,1),exponents,0);


for k=1:nprior
    ind=data(:,3)==prior_series(k);
    plot(data(ind,1),data(ind,2),['o',cols(k)]);
    hold on;
    plot(data(:,1),X*mi(k,:)',['-',cols(k)]);
end
BayesLR_PlotModel(data(:,1),X,theta0,V0,alp0,bet0,prop);
hold off;
end
% -------------------------------------------------------------------------
% No warranty or guarantee applies to this software, and therefore any 
% users should satisfy themselves that it meets their requirements.
% -------------------------------------------------------------------------

